OpenTTD: src/gui.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
gui.h File Reference

GUI functions that shouldn't be here. More...

`#include "vehicle_type.h"`
`#include "economy_type.h"`
`#include "tile_type.h"`
`#include "transport_type.h"`
`#include "story_type.h"`
`#include "company_type.h"`

Go to the source code of this file.

## Functions
void | HandleOnEditText (const char *str)
void | InitializeGUI ()
void | ShowGameOptions ()
| Open the game options window.
void | ShowGameSettings ()
| Open advanced settings window.
void | ShowOrdersWindow (const Vehicle *v)
Window * | ShowBuildDocksToolbar ()
| Open the build water toolbar window.
Window * | ShowBuildDocksScenToolbar ()
| Open the build water toolbar window for the scenario editor.
Window * | ShowBuildAirToolbar ()
| Open the build airport toolbar window.
void | ShowGenerateLandscape ()
| Start with a normal game.
void | ShowHeightmapLoad ()
| Start with loading a heightmap.
void | ShowLandInfo (TileIndex tile)
| Show land information window.
void | ShowAboutWindow ()
void | ShowBuildTreesToolbar ()
void | ShowTownDirectory ()
void | ShowIndustryDirectory ()
void | ShowIndustryCargoesWindow ()
| Open the industry and cargoes window with an industry.
void | ShowSubsidiesList ()
void | ShowGoalsList (CompanyID company)
| Open a goal list window.
void | ShowGoalQuestion (uint16 id, byte type, uint32 button_mask, const char *question)
| Display a goal question.
void | ShowStoryBook (CompanyID company, uint16 page_id=INVALID_STORY_PAGE)
| Raise or create the story book window for company, at page page_id.
void | ShowEstimatedCostOrIncome (Money cost, int x, int y)
| Display estimated costs.
void | ShowExtraViewPortWindow (TileIndex tile=INVALID_TILE)
| Show a new Extra Viewport window.
void | ShowExtraViewPortWindowForTileUnderCursor ()
| Show a new Extra Viewport window.
void | ShowBuildBridgeWindow (TileIndex start, TileIndex end, TransportType transport_type, byte bridge_type)
| Prepare the data for the build a bridge window.
void | ShowBuildIndustryWindow ()
void | ShowFoundTownWindow ()
void | ShowMusicWindow ()

## Detailed Description

GUI functions that shouldn't be here.

Definition in file gui.h.

## Function Documentation

Window* ShowBuildAirToolbar | ( |  | ) |

Open the build airport toolbar window.

If the terraform toolbar is linked to the toolbar, that window is also opened.

Returns
  newly opened airport toolbar, or NULL if the toolbar could not be opened.

Definition at line 203 of file airport_gui.cpp.

References _local_company, DeleteWindowByClass(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), TRANSPORT_AIR, and WC_BUILD_TOOLBAR.

Referenced by AirportToolbarGlobalHotkeys(), MenuClickBuildAir(), and MainToolbarWindow::OnHotkey().

void ShowBuildBridgeWindow | ( | TileIndex | start,
|  | TileIndex | end,
|  | TransportType | transport_type,
|  | byte | road_rail_type
| ) |  |

Prepare the data for the build a bridge window.

If we can't build a bridge under the given conditions show an error message.

Parameters

  start | The start tile of the bridge
  end | The end tile of the bridge
  transport_type | The transport type
  road_rail_type | The road/rail type

Definition at line 361 of file bridge_gui.cpp.

References _build_bridge_desc, _ctrl_pressed, _last_railbridge_type, _last_roadbridge_type, SmallVector< T, S >::Append(), CalcBridgeLenCostFactor(), CcBuildBridge(), CheckBridgeAvailability(), CMD_BUILD_BRIDGE, CMD_MSG, CommandFlagsToDCFlags(), CountBits(), DC_QUERY_COST, DeleteWindowByClass(), DoCommand(), DoCommandP(), CommandCost::Failed(), GetBridgeSpec(), GetCommandFlags(), CommandCost::GetCost(), CommandCost::GetErrorMessage(), GetRoadTypes(), GetTunnelBridgeLength(), INVALID_STRING_ID, IsBridgeTile(), SmallVector< T, S >::Length(), MAX_BRIDGES, BridgeSpec::price, RailBuildCost(), ShowErrorMessage(), CommandCost::Succeeded(), TILE_SIZE, TileX(), TileY(), TRANSPORT_RAIL, TRANSPORT_ROAD, WC_BUILD_BRIDGE, and WL_INFO.

Referenced by BuildRoadToolbarWindow::OnPlaceMouseUp(), and BuildRailToolbarWindow::OnPlaceMouseUp().

Window* ShowBuildDocksScenToolbar | ( |  | ) |

Open the build water toolbar window for the scenario editor.

Returns
  newly opened water toolbar, or NULL if the toolbar could not be opened.

Definition at line 387 of file dock_gui.cpp.

References _build_docks_scen_toolbar_desc, and TRANSPORT_WATER.

Window* ShowBuildDocksToolbar | ( |  | ) |

Open the build water toolbar window.

If the terraform toolbar is linked to the toolbar, that window is also opened.

Returns
  newly opened water toolbar, or NULL if the toolbar could not be opened.

Definition at line 346 of file dock_gui.cpp.

References _local_company, DeleteWindowByClass(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), TRANSPORT_WATER, and WC_BUILD_TOOLBAR.

Referenced by DockToolbarGlobalHotkeys(), MenuClickBuildWater(), and MainToolbarWindow::OnHotkey().

void ShowEstimatedCostOrIncome | ( | Money | cost,
|  | int | x,
|  | int | y
| ) |  |

Display estimated costs.

Parameters

  cost | Estimated cost (or income if negative).
  x | X position of the notification window.
  y | Y position of the notification window.

Definition at line 534 of file misc_gui.cpp.

References INVALID_STRING_ID, SetDParam(), ShowErrorMessage(), and WL_INFO.

Referenced by DoCommandP().

void ShowExtraViewPortWindow | ( | TileIndex | tile | ) |

Show a new Extra Viewport window.

Parameters

  tile | Tile to center the view on. INVALID_TILE means to use the center of main viewport.

Definition at line 170 of file viewport_gui.cpp.

References FindWindowById(), and WC_EXTRA_VIEW_PORT.

Referenced by GoalListWindow::HandleClick(), MenuClickMap(), WaypointWindow::OnClick(), TownViewWindow::OnClick(), NewsWindow::OnClick(), CompanyStationsWindow::OnClick(), DepotWindow::OnClick(), TownDirectoryWindow::OnClick(), IndustryViewWindow::OnClick(), IndustryDirectoryWindow::OnClick(), StationViewWindow::OnClick(), CompanyWindow::OnClick(), StoryBookWindow::OnPageElementClick(), and ShowExtraViewPortWindowForTileUnderCursor().

void ShowExtraViewPortWindowForTileUnderCursor | ( |  | ) |

Show a new Extra Viewport window.

Center it on the tile under the cursor, if the cursor is inside a viewport. If that fails, center it on main viewport center.

Definition at line 185 of file viewport_gui.cpp.

References INVALID_TILE, ShowExtraViewPortWindow(), and TileVirtXY().

Referenced by MainToolbarWindow::OnHotkey(), and ScenarioEditorToolbarWindow::OnHotkey().

void ShowGameOptions | ( |  | ) |

Open the game options window.

Definition at line 665 of file settings_gui.cpp.

References DeleteWindowByClass(), and WC_GAME_OPTIONS.

Referenced by MenuClickSettings(), SelectGameWindow::OnClick(), MainToolbarWindow::OnHotkey(), and ScenarioEditorToolbarWindow::OnHotkey().

void ShowGameSettings | ( |  | ) |

Open advanced settings window.

Definition at line 2375 of file settings_gui.cpp.

References DeleteWindowByClass(), and WC_GAME_OPTIONS.

Referenced by MenuClickSettings(), and SelectGameWindow::OnClick().

void ShowGenerateLandscape | ( |  | ) |

Start with a normal game.

Definition at line 852 of file genworld_gui.cpp.

References GLWM_GENERATE.

Referenced by SelectGameWindow::OnClick(), CreateScenarioWindow::OnClick(), and NetworkStartServerWindow::OnClick().

void ShowGoalQuestion | ( | uint16 | id,
|  | byte | type,
|  | uint32 | button_mask,
|  | const char * | question
| ) |  |

Display a goal question.

Parameters

  id | Window number to use.
  type | Type of question.
  button_mask | Buttons to display.
  question | Question to ask.

Definition at line 489 of file goal_gui.cpp.

Referenced by CmdGoalQuestion().

void ShowGoalsList | ( | CompanyID | company | ) |

Open a goal list window.

Parameters

  company | Company to display the goals for, use INVALID_COMPANY to display global goals.

Definition at line 351 of file goal_gui.cpp.

References INVALID_COMPANY, and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

Referenced by MenuClickGoal(), MainToolbarWindow::OnHotkey(), and StoryBookWindow::OnPageElementClick().

void ShowHeightmapLoad | ( |  | ) |

Start with loading a heightmap.

Definition at line 858 of file genworld_gui.cpp.

References GLWM_HEIGHTMAP.

Referenced by SaveLoadWindow::OnClick().

void ShowIndustryCargoesWindow | ( |  | ) |

Open the industry and cargoes window with an industry.

Definition at line 2772 of file industry_gui.cpp.

References NUM_INDUSTRYTYPES, and ShowIndustryCargoesWindow().

Referenced by MenuClickIndustry(), BuildIndustryWindow::OnClick(), IndustryViewWindow::OnClick(), and ShowIndustryCargoesWindow().

void ShowLandInfo | ( | TileIndex | tile | ) |

Show land information window.

Parameters

  tile | The tile to show information about.

Definition at line 366 of file misc_gui.cpp.

References DeleteWindowById(), and WC_LAND_INFO.

Referenced by MainToolbarWindow::OnPlaceObject(), and ScenarioEditorToolbarWindow::OnPlaceObject().

void ShowStoryBook | ( | CompanyID | company,
|  | uint16 | page_id
| ) |  |

Raise or create the story book window for company, at page page_id.

Parameters

  company | 'Owner' of the story book, may be INVALID_COMPANY.
  page_id | Page to open, may be INVALID_STORY_PAGE.

Definition at line 766 of file story_gui.cpp.

References INVALID_COMPANY, INVALID_STORY_PAGE, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), and StoryBookWindow::SetSelectedPage().

Referenced by CmdShowStoryPage(), GoalListWindow::HandleClick(), MenuClickStory(), and MainToolbarWindow::OnHotkey().